Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeAHC.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeAHC.java	(revision 531)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeAHC.java	(revision 532)
@@ -46,11 +46,8 @@
 import org.txm.cah.core.messages.AHCCoreMessages;
 import org.txm.cah.core.preferences.AHCPreferences;
 import org.txm.cah.rcp.messages.AHCUIMessages;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.TXMParameters;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.functions.LexicalTableFactory;
 import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
@@ -88,20 +85,16 @@
 		}
 
 		Object selection = this.getSelection();
-		ChartEditorInput editorInput = null;
-		
-		
-		
-		CA ca = null;
+		AHC ahc = null;
 
 		
 		// reopening an existing result
 		if (selection instanceof AHC) {
-			editorInput = new ChartEditorInput((AHC) selection);
+			ahc = (AHC) selection;
 		}
 		// creates from CA
 		else if (selection instanceof CA) {
-			ca = (CA) selection;
+			ahc = new AHC((CA) selection);
 		}
 		// creates from LexicalTable
 		else if (selection instanceof LexicalTable) {
@@ -109,12 +102,12 @@
 			LexicalTable lexicaltable = (LexicalTable) selection;
 			
 			try {
-				ca = new CA(lexicaltable);
+				ahc = new AHC(new CA(lexicaltable));
 			} catch (StatException e) {
 				System.out.println("Failed to build the CA with lexical table " + lexicaltable + ": " + e);
 				Log.printStackTrace(e);
 			}
-			lexicaltable.addResult(ca);
+			lexicaltable.addResult(ahc);
 			
 //			if (lexicaltable.getPartition() != null)
 //				lexicaltable.getPartition().storeResult(ca);
@@ -142,8 +135,8 @@
 					lexicaltable.getData().cut(vmax);
 					partition.addResult(lexicaltable);
 					
-					ca = new CA(lexicaltable);
-					lexicaltable.addResult(ca);
+					ahc = new AHC(new CA(lexicaltable));
+					lexicaltable.addResult(ahc);
 				} else {
 					// canceled
 					return null;
@@ -155,25 +148,13 @@
 			} 
 		}
 
-		if (ca != null)	{
-			AHC cah = new AHC(ca);
-			
-			TXMParameters parameters = new TXMParameters();
-			parameters.put(AHCPreferences.COLUMNS_COMPUTING, TXMPreferences.getBoolean(AHCPreferences.COLUMNS_COMPUTING, AHCPreferences.PREFERENCES_NODE));
-			parameters.put(AHCPreferences.METHOD, TXMPreferences.getString(AHCPreferences.METHOD, AHCPreferences.PREFERENCES_NODE));
-			parameters.put(AHCPreferences.METRIC, TXMPreferences.getString(AHCPreferences.METRIC, AHCPreferences.PREFERENCES_NODE));
-			parameters.put(AHCPreferences.N_CLUSTERS, TXMPreferences.getInt(AHCPreferences.N_CLUSTERS, AHCPreferences.PREFERENCES_NODE));
-			cah.setParameters(parameters);
-			
-			editorInput = new ChartEditorInput(cah);
-		}
-		
-		ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(editorInput);
+		ChartEditorPart editor = ChartEditorPart.openEditor(ahc);
 
+		// FIXME: obsolete? 
 		// computes if not reopening a result
-		if(!(selection instanceof AHC))	{
-			editor.computeResult();
-		}
+//		if(!(selection instanceof AHC))	{
+//			editor.computeResult();
+//		}
 		
 
 		return null;
Index: tmp/org.txm.cah.rcp/plugin.xml
===================================================================
--- tmp/org.txm.cah.rcp/plugin.xml	(revision 531)
+++ tmp/org.txm.cah.rcp/plugin.xml	(revision 532)
@@ -6,7 +6,7 @@
       <command
             categoryId="org.txm.rcp.category.txm"
             defaultHandler="org.txm.cah.rcp.handlers.ComputeAHC"
-            id="org.txm.cah.rcp.handlers.ComputeCAH"
+            id="org.txm.cah.rcp.handlers.ComputeAHC"
             name="%command.name">
       </command>
    </extension>
@@ -16,7 +16,7 @@
             allPopups="false"
             locationURI="toolbar:org.txm.rcp.toolbartools">
          <command
-               commandId="org.txm.cah.rcp.handlers.ComputeCAH"
+               commandId="org.txm.cah.rcp.handlers.ComputeAHC"
                icon="icons/cah.png"
                style="push"
                tooltip="%command.tooltip">
@@ -40,7 +40,7 @@
             allPopups="false"
             locationURI="popup:org.txm.rcp.views.corpora.CorporaView">
          <command
-               commandId="org.txm.cah.rcp.handlers.ComputeCAH"
+               commandId="org.txm.cah.rcp.handlers.ComputeAHC"
                icon="icons/cah.png"
                style="push">
             <visibleWhen
@@ -62,7 +62,7 @@
       <menuContribution
             locationURI="menu:menu.tools">
          <command
-               commandId="org.txm.cah.rcp.handlers.ComputeCAH"
+               commandId="org.txm.cah.rcp.handlers.ComputeAHC"
                icon="icons/cah.png"
                style="push">
             <visibleWhen
@@ -88,7 +88,7 @@
             class="org.txm.cah.rcp.editors.AHCChartEditor"
             default="false"
             icon="icons/cah.png"
-            id="org.txm.cah.core.functions.CAH"
+            id="org.txm.cah.core.functions.AHC"
             name="%editor.name">
       </editor>
    </extension>
